Retrieving the max_in_flight settings for A product's jobs

Retrieving the max_in_flight settings for A product's jobs
Retrieving the max_in_flight settings for a product's jobs

Returns a list of the max_in_flight setting for all of the product's jobs.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/max_in_flight
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

Returns MaxInFlight of type(s) application/json
{
    "max_in_flight": {
        "max_in_flight": 0
    }
}
object
max_in_flight
Optional

This collection maps from job guid to either a number, percentage or "default"


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns RequiresProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/max_in_flight